#!/bin/bash
#
# Component: repositoryhandler
#
# Description:
#   Prints directory locations for a study.
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

printCache="false"
printProcessed="false"

while getopts 'cp' OPT; do
	case $OPT in
	p) printProcessed="true" ;;
	c) printCache="true";;
	esac
done

shift $(($OPTIND-1))

if [ -z "$1" ] ; then
	echo "usage: locateStudy.sh [-p | -c] <styiuid>"
	exit 1
fi

if [ "$printCache" = "true" ] ; then
	$REPOSITORYHANDLER_HOME/bin/locateResource $REPOSITORY_CACHE $1
elif [ "$printProcessed" = "true" ] ; then
	$REPOSITORYHANDLER_HOME/bin/locateResource $REPOSITORY_PROCESSED $1
else
	echo "cache: `$REPOSITORYHANDLER_HOME/bin/locateResource $REPOSITORY_CACHE $1`"
	echo "proc: `$REPOSITORYHANDLER_HOME/bin/locateResource $REPOSITORY_PROCESSED $1`"
fi
